summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBenda Xu <heroxbd@gentoo.org>2016-06-24 12:07:13 +0900
committerBenda Xu <heroxbd@gentoo.org>2016-06-24 12:07:13 +0900
commitc147c553072030cd06f55f6bde6360199bb1c9f9 (patch)
tree382361770b4ece5c790a892ee8967ac7db59ac19
parentsys-process/lsof: merged. (diff)
downloadandroid-c147c553072030cd06f55f6bde6360199bb1c9f9.tar.gz
android-c147c553072030cd06f55f6bde6360199bb1c9f9.tar.bz2
android-c147c553072030cd06f55f6bde6360199bb1c9f9.zip
toolchain.eclass: prefixify cross compile parts.
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 44ec160..b6df2da 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1833,8 +1833,8 @@ gcc_movelibs() {
# that you want to link against when building tools rather than building
# code to run on the target.
if tc_version_is_at_least 5 && is_crosscompile ; then
- dodir "${HOSTLIBPATH}"
- mv "${D}"/usr/$(get_libdir)/libcc1* "${D}${HOSTLIBPATH}" || die
+ dodir "${HOSTLIBPATH#${EPREFIX}}"
+ mv "${ED}"/usr/$(get_libdir)/libcc1* "${D}${HOSTLIBPATH}" || die
fi
# For all the libs that are built for CTARGET, move them into the